# Interface EnumValue

An enum value

#### Category

User-defined elementary types

#### Hierarchy

- EnumValue

- Defined in codec/lib/format/elementary.ts:220

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:230

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:222

### type

type: EnumType

- Defined in codec/lib/format/elementary.ts:221

### value

value: {
name: string;
numericAsBN: BN;
}

#### Type declaration

- ##### name: string

- ##### numericAsBN: BN

  the numeric value of the enum

- Defined in codec/lib/format/elementary.ts:223

Generated using TypeDoc